This documentation is for Snow Leopard enterprise deployments. Enterprise deployments are dedicated instances configured for your specific dataset and infrastructure.
Your Snow Leopard Enterprise deployment is hosted at a custom URL specific to your infrastructure. You will receive the VM IP address and port from the Snow Leopard team during setup.
All API endpoints are authenticated using API Keys, also known as Bearer Tokens.Your API token will be provided to you by the Snow Leopard team during your initial deployment setup.
Contact your Snow Leopard representative if you need a new API token.
from snowleopard import SnowLeopardClientclient = SnowLeopardClient( url="https://{vm_ip_address}:{port}", api_key="{api_key}")response = client.retrieve( user_query="How many users signed up last month?")print(response.data)
from snowleopard import AsyncSnowLeopardClientasync def main(): client = AsyncSnowLeopardClient( url="https://{vm_ip_address}:{port}", api_key="{api_key}" ) response = await client.retrieve( user_query="How many users signed up last month?" ) print(response.data)
import { SnowLeopardClient } from '@snowleopard-ai/client';const client = new SnowLeopardClient({ url: 'https://{vm_ip_address}:{port}', apiKey: '{api_key}'});const response = await client.retrieve({ userQuery: 'How many users signed up last month?'});console.log(response.data);await client.close();
curl --request POST \ --url https://{vm_ip_address}:{port}/retrieve \ --header 'Authorization: Bearer {api_key}' \ --header 'Content-Type: application/json' \ --data '{"userQuery": "How many users signed up last month?"}'